/customerio-customers | Type: Application | PCID required: Yes
Tools
customerio_customers_create_man_segment
Create a manual segment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment | object | Yes | — | The segment value |
customerio_customers_delete_man_segment
Delete a segment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
customerio_customers_get_channels
List subscription channelscustomerio_customers_get_object_attributes
Get Object Attributes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_type_id | integer | Yes | — | The object type an object belongs to—like “Companies” or “Accounts”. Object type IDs begin at 1 and increment for each new type. |
object_id | string | Yes | — | The object_id or cio_object_id of an object, depending on the id_type specified in query params. id_type defaults to object_id. |
id_type | string | No | — | Id Type |
customerio_customers_get_object_relationships
Get Object Relationships Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_type_id | integer | Yes | — | The object type an object belongs to—like “Companies” or “Accounts”. Object type IDs begin at 1 and increment for each new type. |
object_id | string | Yes | — | The object_id or cio_object_id of an object, depending on the id_type specified in query params. id_type defaults to object_id. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
id_type | string | No | — | Id Type |
customerio_customers_get_object_types
List object typescustomerio_customers_get_objects_filter
Find objects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
filter | object | Yes | — | When filtering for objects, you can use and and or arrays to determine the logic for a group of filter conditions. not reverses the filter condition and matches when the condition is false. object_attribute represents the individual conditions you can filter objects by. The top level of this object can only contain a single property, but you can nest and and or properties to produce complex filters. |
object_type_id | string | Yes | — | The type of object you want to search in. Object type IDs are integers passed as strings. |
customerio_customers_get_people_by_id
List customers, attributes, and devices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ids | string[] | Yes | — | An array of up to 100 customer IDs. |
customerio_customers_get_people_email
Get customers by email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
email | string | Yes | — | The email address you want to search for. |
customerio_customers_get_people_filter
Search for customers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
filter | object | Yes | — | When filtering for people, you can use and and or arrays to determine the logic for a group of filter conditions. not reverses the filter condition and matches when the condition is false. segment and attribute represent the individual conditions you can filter a group of people for. The top level of this object can only contain a single property, but you can nest and and or properties to produce complex filters. |
customerio_customers_get_person_activities
Lookup a customer’s activities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
type | string | No | — | The type of activity you want to search for. Types with _o:<object_type_id> are for objects and types with _r:<object_type_id> are for relationships. |
name | string | No | — | For event and attribute_update types, you can search by event or attribute name respectively. |
customerio_customers_get_person_attributes
Lookup a customer’s attributes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
customerio_customers_get_person_messages
Lookup messages sent to a customer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
start_ts | integer | No | — | The beginning timestamp for your query. |
end_ts | integer | No | — | The ending timestamp for your query. |
customerio_customers_get_person_relationships
Lookup a customer’s relationships Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
customerio_customers_get_person_segments
Lookup a customer’s segments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
customerio_customers_get_person_subscription_preferences
Lookup a customer’s subscription preferences Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
language | string | No | — | A language tag you want the content translated in. If none is provided, the content will be sent in the default language of your subscription center. |
Accept-Language | string | No | — | The language tag you want the content translated in. If none is provided, the content will be sent in the default lanauge of your subscription center. |
customerio_customers_get_segment
Get a segment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
customerio_customers_get_segment_count
Get a segment customer count Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
customerio_customers_get_segment_dependencies
Get a segment’s dependencies Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
customerio_customers_get_segment_membership
List customers in a segment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
customerio_customers_get_subscription_center_token
Generate a subscription center token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The identifier for a person in your workspace—the same value you’d use as an id or email to identify a person in Customer.io. |

